<?php

/**
 * 
 * @param type $sz
 */
function redirect($sz) {
	header('Location: '.$sz);
	die();
}

/**
 * 
 * @param type $sz
 * @return type
 */
function hesc($sz) {
	return @htmlentities($sz, ENT_QUOTES | ENT_SUBSTITUTE, 'UTF-8');
}

/**
 * 
 * @param integer $d Range [1..12]
 * @return string Abbreviated month name
 */
function month($d) {
	return date("M", mktime(0, 0, 0, $d, 1, 2010)); // year doesn't matter
}

/**
 * 
 * @param type $val
 * @param type $min
 * @param type $max
 * @return type
 */
function clamp($val, $min, $max) {
	return max($min, min($max, $val));
}

/**
 * 
 * @param type $x
 * @return type
 */
function hasGet($x) {
	return array_key_exists($x, $_GET);
}

/**
 *
 */
function monthrange($y1, $m1, $y2, $m2) {
	$ret = [];

	for ($y = $y1, $y_e = $y2+1; $y < $y_e; $y++) {
		for ($m = 1; $m < 13; $m++) {
			if ($y == $y1 && $m < $m1) continue;
			if ($y == $y2 && $m > $m2) continue;
			
			$ret[] = [$y, $m];
		}
	}
	
	return $ret;
}
